# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnitAndLengthUnit Class Reference

`#include <StepBasic_ConversionBasedUnitAndLengthUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnitAndLengthUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ConversionBasedUnitAndLengthUnit ()
| Returns a ConversionBasedUnitAndLengthUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions, const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureWithUnit)&aConversionFactor)
Standard_EXPORT void | SetLengthUnit (const Handle(StepBasic_LengthUnit)&aLengthUnit)
Standard_EXPORT Handle_StepBasic_LengthUnit | LengthUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_LengthUnit | lengthUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnitAndLengthUnit::StepBasic_ConversionBasedUnitAndLengthUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ConversionBasedUnitAndLengthUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndLengthUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureWithUnit)& | aConversionFactor
| ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndLengthUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

Standard_EXPORT Handle_StepBasic_LengthUnit StepBasic_ConversionBasedUnitAndLengthUnit::LengthUnit | ( |  | ) | const

Standard_EXPORT void StepBasic_ConversionBasedUnitAndLengthUnit::SetLengthUnit | ( | const Handle(StepBasic_LengthUnit)& | aLengthUnit | ) |

## Field Documentation

Handle_StepBasic_LengthUnit StepBasic_ConversionBasedUnitAndLengthUnit::lengthUnit `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnitAndLengthUnit.hxx